> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/26.-mutation-save-note-attached-to-zonesmap.md).

# 26. Mutation: Save "Note" attached to "ZonesMap"

This mutation allows you to attach a Note to a specified ZonesMap.

* A Note can be linked to the Field via its unique identifier `fieldUuid` and to the associated ZonesMap via `vectorAnalysisMapUuid`.
* The coordinate of the Note can be set using the `centroid` attribute, which requires defined `latitude` and `longitude` values.&#x20;
* The type of Note can be specified using the `type` attribute with acceptable values of `PLANNED` or `REAL`.&#x20;
* The description of the Note can be provided using the `comment` attribute. If the description needs to be multiline, the `comment` attribute should contain a string with newline characters `\\n` to separate lines. For example: `"First line. is here\\nSecond line is here.\\nThird line is here."`.

The sample requests can be found below:

```graphql
mutation SaveNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "The test note attached to ZonesMap",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    createdDate
    updatedDate
    type
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveMultiLineNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "First line. is here\\nSecond line is here.\\nThird line is here.",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    createdDate
    updatedDate
    type
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/26.-mutation-save-note-attached-to-zonesmap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
